Results 1 to 3 of 3

Thread: [SOLVED] Upgrading from 4.5.9 to 5.0.2 on Cent OS 5.

Hybrid View

  1. #1
    Join Date
    Dec 2007
    Posts
    30
    Rep Power
    7

    Default [SOLVED] Upgrading from 4.5.9 to 5.0.2 on Cent OS 5.

    These are steps for upgrade Zimbra 4.5.9 to 5.0.2.

    1. Download new version from www.zimbra.com
    [root@mail] # mkdir Program; cd Program
    [root@mail] # wget -c http://files.zimbra.com/downloads/5....0130221917.tgz
    2. Unzip new software.
    [root@mail] # tar xvfz zcs-5.0.2_GA_1975.RHEL5.20080130221917.tgz

    3. Upgrade new libtool-ltdl package.
    [root@mail] # yum install libtool-ltdl
    4. Stop current Zimbra service.
    [root@mail] # su - zimbra
    [zimbra@mail] $ zmcontrol stop
    [zimbra@mail] # exit
    [root@mail] #
    5. Install Zimbra version 5.0.2.
    [root@mail] # cd zcs-5.0.2_GA_1975.RHEL5.20080130221917
    [root@mail] # ./install
    7. After you upgraded , you can not sent email and you found warning in file /var/log/zimbra.log
    postfix/smtpd[8439]: warning: problem talking to service rewrite: Success
    postfix/master[7626]: warning: process /opt/zimbra/postfix-2.4.3.3z/libexec/trivial-rewrite pid 9809 exit status
    8. Fix this problem by change start_tls option in file ldap-*.cf in path /opt/zimbra/config/ from Yes to No and this is script for change it in all files.
    #!/bin/bashfor x in ldap-scm.cf ldap-transport.cf ldap-vad.cf ldap-vam.cf ldap-vmd.cf ldap-vmd.cf;
    do
    echo “File : ${x}”;
    cp $x $x.bak;
    sed -i s/”start_tls = yes”/”start_tls = no”/g $x;
    done
    9. Assume name of this script is change_start_tls_yes2no.sh. Change mode of this script and run it.
    [root@mail] # cd /opt/zimbra/conf/
    [root@mail] # ls -l change_start_tls_yes2no.sh
    -rwxr-x— 1 zimbra zimbra 196 Mar 6 09:45 change_start_tls_yes2no.sh
    [root@mail] # chmod +x change_start_tls_yes2no.sh
    [root@mail] # ./change_start_tls_yes2no.sh
    10. Restart new Zimbra service.
    [root@mail] # su - zimbra
    [zimbra@mail] $ zmcontrol stop
    [zimbra@mail] $ zmcontrol start
    [zimbra@mail] $ zmcontrol status
    --------------------------------------------------------------------------
    Normal man

  2. #2
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    Thanks for the guide Probably worth adding before step 5 take a backup of /opt/zimbra, and also test that backup to ensure you have a roll back point

  3. #3
    Join Date
    Aug 2007
    Location
    Minnesota (Brrrr!)
    Posts
    25
    Rep Power
    8

    Default

    Thank you so much for this! I was just doing an upgrade from 4.5.9 to 5.0.6 and got the libtool-ltdl missing error; not being a Linux person I had a bit of a panic. I found your post and the direction to download the new package and voila! Problem solved.

    I love this forum. Zimbra rocks!

    *a very happy newly updated Zimbra Admin*

Similar Threads

  1. Problems upgrading 4.5.8 to 5.0.2
    By encode in forum Installation
    Replies: 10
    Last Post: 07-06-2008, 01:55 PM
  2. Zimbra 5.0.2 and OS X Leopard, java 1.5 error
    By Bobnoxs in forum Installation
    Replies: 6
    Last Post: 02-29-2008, 08:53 AM
  3. Replies: 8
    Last Post: 02-21-2008, 09:13 PM
  4. [SOLVED] Upgrading to 5.0.2 Backup steps
    By cecil in forum Installation
    Replies: 4
    Last Post: 02-12-2008, 12:34 AM
  5. Replies: 7
    Last Post: 11-28-2007, 01:49 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •